Bug 822705 - unable to login after installing
unable to login after installing
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: util-linux (Show other bugs)
17
Unspecified Unspecified
urgent Severity urgent
: ---
: ---
Assigned To: Karel Zak
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 824420
  Show dependency treegraph
 
Reported: 2012-05-17 16:32 EDT by Joey Boggs
Modified: 2016-04-26 13:53 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-30 20:54:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Backtrace (31.95 KB, image/png)
2012-05-18 10:14 EDT, Fabian Deutsch
no flags Details
Stacktrace with more details (35.22 KB, image/png)
2012-05-21 03:32 EDT, Fabian Deutsch
no flags Details

  None (edit)
Description Joey Boggs 2012-05-17 16:32:23 EDT
Description of problem:
When trying to login after installation completes, the login begins and then drops back to a new login prompt.

further testing by dropping to shell from the install media and running login shows a segmenation fault occuring when logging in
Comment 1 Fabian Deutsch 2012-05-18 09:46:06 EDT
Reproducing the segfault:

1. Install ovirt
2. Reboot and run the installer from the media again
3. When you are prompted to "Reinstall [...]" press F2 to drop to shell
4. run:
gdb /usr/bin/login
5. In gdb:
run
bt
Comment 2 Fabian Deutsch 2012-05-18 09:58:27 EDT
Try to login as admin
Comment 3 Fabian Deutsch 2012-05-18 10:14:32 EDT
Created attachment 585419 [details]
Backtrace
Comment 4 Fabian Deutsch 2012-05-21 03:32:06 EDT
Created attachment 585753 [details]
Stacktrace with more details
Comment 5 Karel Zak 2012-05-21 04:02:54 EDT
(In reply to comment #4)
> Stacktrace with more details

Good work! Thanks. 

Fixed in upstream tree by commit d4cba553f9c03ab68edb7f8e8a536578b5170c94. Fedora package will be fixed ASAP.
Comment 6 Fabian Deutsch 2012-05-21 04:07:25 EDT
(In reply to comment #5)
> (In reply to comment #4)
> > Stacktrace with more details
> 
> Good work! Thanks. 
> 
> Fixed in upstream tree by commit d4cba553f9c03ab68edb7f8e8a536578b5170c94.
> Fedora package will be fixed ASAP.

Cool, that was fast. Thanks!

http://git.kernel.org/?p=utils/util-linux/util-linux.git;a=commit;h=d4cba553f9c03ab68edb7f8e8a536578b5170c94
Comment 7 Mike Burns 2012-05-21 22:23:39 EDT
moving to util-linux.  Issue was found in ovirt-node, but is located in util-linux.
Comment 8 Mike Burns 2012-05-23 07:34:53 EDT
kzak -- any eta for an updated package at least being built?  

Thanks
Comment 9 Karel Zak 2012-05-24 05:36:29 EDT
(In reply to comment #8)
> kzak -- any eta for an updated package at least being built?  

I'll release 2.21.2 upstream package with more bugfixes this week and push it to Fedora.
Comment 10 Mike Burns 2012-05-24 08:13:38 EDT
thanks!
Comment 11 Fedora Update System 2012-05-25 07:48:40 EDT
util-linux-2.21.2-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/util-linux-2.21.2-1.fc17
Comment 12 Fedora Update System 2012-05-26 03:08:00 EDT
Package util-linux-2.21.2-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing util-linux-2.21.2-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-8440/util-linux-2.21.2-1.fc17
then log in and leave karma (feedback).
Comment 13 Fedora Update System 2012-05-30 20:54:39 EDT
util-linux-2.21.2-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.